/* ReSCAL - cspinfo entry
 *
 * Copyright (C) 2011
 *
 * Author: Olivier Rozier <rozier@ipgp.fr>
 *
 * This file is part of ReSCAL.
 *
 * ReSCAL is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#define _MAIN_

//numero et date de version
//#define VER_NUM "1.2"
//#define VER_DAT "2011-07"

#include <stdio.h>
#include <stdlib.h>
#include "macros.h"
#include "format.h"
#include "cells.h"


int H=0, L=0, P=0, HL=0, HLP=0;       // les dimensions de la terre
Cell  *TE=NULL;	           // la 'terre'

void usage()
{
  printf("CSP metadata reader");
  //printf("\nversion %s (%s)\n",VER_NUM,VER_DAT);
  printf("\nusage: cspinfo <CSP-file>[.gz]\n");
  exit(-1);
}

void general_options(int argc, char *argv[])
{
}

int main(int argc, char **argv)
{
  int i;
  char *csp_filename;

  if (argc < 2){
    usage();
    exit(-4);
  }
  
  i = 1;
  csp_filename = argv[i++];

  general_options(argc, argv);
  
  csp_set_warning(0);
  
  read_csp_header(csp_filename);
  
  compress(csp_filename,0);

  return 1;
}




